@import "../../styles/util.mixins.scss";

.user-auth-box {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: center;
  justify-content: center;
  z-index: 999;
  overflow: auto;
  display: none;

  .user-auth-overlay {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    left: 0;
    top: 0;
  }

  .user-auth-box-content {
    background-color: white;
    padding: 25px 20px 20px;
    position: absolute;
    top: 40%;
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    z-index: 1;
    left: 20px;
    right: 20px;
    margin: 80px auto;
    max-width: 860px;

    &::before {
      content: " ";
      width: 100%;
      left: 0;
      height: 5px;
      background: linear-gradient(90deg, #db1037, #cd40e6, #db1037);
      position: absolute;
      left: 0;
      top: 0;
    }

    .section-header {
      margin-top: 0;
    }

    .tokoo-popup__close {
      position: absolute;
      width: 36px;
      height: 36px;
      border-radius: 50%;
      right: 10px;
      top: 10px;
      border: 3px solid #db1037;
      background-color: white;
      z-index: 9;
      font-size: 24px;
      font-size: 1.5em;
      box-shadow: none;
      line-height: 36px;
      padding: 0;

      &::before {
        content: "\f00d";
        font-family: "FontAwesome";
        position: absolute;
        left: 0;
        top: 2px;
        width: 100%;
        text-indent: 0;
        line-height: 25px;
        font-size: 22px;
        display: block;
        text-align: center !important;
        padding: 0;
      }
    }

    .grid-item {
      -ms-flex-positive: 1;
      flex-grow: 1;
    }

    .login,
    .register {
      box-shadow: none;
      margin-bottom: 0;
    }

    .login-action {
      > label {
        margin-top: 5px;
        float: left;
      }

      input[type="submit"] {
        float: right;
        padding: 5px 40px;
        margin-bottom: 30px;
      }

      @include clearfix;
    }

    .change-form {
      float: left;
      display: block;
      font-size: 12px;
      font-size: 0.75em;

      > a {
        font-weight: bolder;
        color: darkblue;
      }
    }

    .lostpassword {
      float: right;
      display: block;
      font-size: 12px;
      font-size: 0.75em;
    }
  }
}
